Debian Bug report logs - #587630
kernel panic when using ZFS

version graph

Package: kfreebsd-image-8.0-1-amd64; Maintainer for kfreebsd-image-8.0-1-amd64 is (unknown);

Reported by: Tuco <tuco.xyz@gmail.com>

Date: Wed, 30 Jun 2010 13:15:01 UTC

Severity: important

Found in version kfreebsd-8/8.0-9

Fixed in version kfreebsd-8/8.0-11

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#587630; Package kfreebsd-image-8.0-1-amd64. (Wed, 30 Jun 2010 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 30 Jun 2010 13:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: submit <submit@bugs.debian.org>
Subject: kernel panic when using ZFS
Date: Wed, 30 Jun 2010 15:12:38 +0200
Package: kfreebsd-image-8.0-1-amd64
Severity: important
Version: 8.0-9

I installed ZFS utilities by copying them from FreeBSD. When running
zpool, kernel panics:

$ zpool create mypool da1
panic: stack overflow detected; backtrace may be corrupted
cpuid = 0
Uptime: 1m10s
Cannot dump. Device not defined or unavailable.
Automatic reboot in 15 seconds - press a key on the console to abort




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#587630; Package kfreebsd-image-8.0-1-amd64. (Fri, 09 Jul 2010 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 09 Jul 2010 17:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 587630@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: 587630@bugs.debian.org
Subject: Re: kernel panic when using ZFS
Date: Fri, 9 Jul 2010 19:24:39 +0200
On 6/30/10, Tuco <tuco.xyz@gmail.com> wrote:
> $ zpool create mypool da1
> panic: stack overflow detected; backtrace may be corrupted
> cpuid = 0
> Uptime: 1m10s
> Cannot dump. Device not defined or unavailable.
> Automatic reboot in 15 seconds - press a key on the console to abort

This doesn't happen when using a native FreeBSD kernel on my Debian
GNU/kFreeBSD. I noticed a few patches related to ZFS, but disabling
them has no effect. I'm not a kernel developer, anything I can do to
help solve this?




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#587630; Package kfreebsd-image-8.0-1-amd64. (Wed, 14 Jul 2010 14:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 14 Jul 2010 14:48:03 GMT) Full text and rfc822 format available.

Message #15 received at 587630@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: 587630@bugs.debian.org
Subject: Re: kernel panic when using ZFS
Date: Wed, 14 Jul 2010 15:52:35 +0200
On 7/9/10, Tuco <tuco.xyz@gmail.com> wrote:
> This doesn't happen when using a native FreeBSD kernel on my Debian
> GNU/kFreeBSD. I noticed a few patches related to ZFS, but disabling
> them has no effect. I'm not a kernel developer, anything I can do to
> help solve this?

To be a bit more specific, for this workaround to work one doesn't
need to copy the whole kernel. If I copy opensolaris.ko and zfs.ko
over from FreeBSD (only those files), then ZFS works perfectly.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#587630; Package kfreebsd-image-8.0-1-amd64. (Mon, 19 Jul 2010 16:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 19 Jul 2010 16:36:05 GMT) Full text and rfc822 format available.

Message #20 received at 587630@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Tuco <tuco.xyz@gmail.com>, 587630@bugs.debian.org
Subject: Re: Bug#587630: kernel panic when using ZFS
Date: Mon, 19 Jul 2010 18:33:53 +0200
On Wed, Jul 14, 2010 at 03:52:35PM +0200, Tuco wrote:
> On 7/9/10, Tuco <tuco.xyz@gmail.com> wrote:
> > This doesn't happen when using a native FreeBSD kernel on my Debian
> > GNU/kFreeBSD. I noticed a few patches related to ZFS, but disabling
> > them has no effect. I'm not a kernel developer, anything I can do to
> > help solve this?
> 
> To be a bit more specific, for this workaround to work one doesn't
> need to copy the whole kernel. If I copy opensolaris.ko and zfs.ko
> over from FreeBSD (only those files), then ZFS works perfectly.
> 

This has been caused by the switch from freebsd-buildutils 7.2 to 8.0
and is also likely the cause of bug#587629.

I will try to narrow down the problem even more.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Mon, 19 Jul 2010 23:51:05 GMT) Full text and rfc822 format available.

Notification sent to Tuco <tuco.xyz@gmail.com>:
Bug acknowledged by developer. (Mon, 19 Jul 2010 23:51:05 GMT) Full text and rfc822 format available.

Message #25 received at 587630-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 587630-close@bugs.debian.org
Subject: Bug#587630: fixed in kfreebsd-8 8.0-11
Date: Mon, 19 Jul 2010 23:47:46 +0000
Source: kfreebsd-8
Source-Version: 8.0-11

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.0-11.diff.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.0-11.diff.gz
kfreebsd-8_8.0-11.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.0-11.dsc
kfreebsd-headers-8-amd64_8.0-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.0-11_kfreebsd-amd64.deb
kfreebsd-headers-8.0-1-amd64_8.0-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.0-1-amd64_8.0-11_kfreebsd-amd64.deb
kfreebsd-headers-8.0-1_8.0-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.0-1_8.0-11_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.0-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.0-11_kfreebsd-amd64.deb
kfreebsd-image-8.0-1-amd64_8.0-11_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.0-1-amd64_8.0-11_kfreebsd-amd64.deb
kfreebsd-source-8.0_8.0-11_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.0_8.0-11_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587630@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 20 Jul 2010 00:00:55 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.0 kfreebsd-headers-8.0-1 kfreebsd-image-8.0-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.0-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.0-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.0-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.0-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.0-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.0-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.0-1-686-smp kfreebsd-headers-8-686-smp
Architecture: source all kfreebsd-amd64
Version: 8.0-11
Distribution: unstable
Urgency: medium
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.0-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.0-1-486 - header files for kernel of FreeBSD 8.0
 kfreebsd-headers-8.0-1-686 - header files for kernel of FreeBSD 8.0
 kfreebsd-headers-8.0-1-686-smp - header files for kernel of FreeBSD 8.0
 kfreebsd-headers-8.0-1-amd64 - header files for kernel of FreeBSD 8.0
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8.0-1-486 - kernel of FreeBSD 8.0 image
 kfreebsd-image-8.0-1-686 - kernel of FreeBSD 8.0 image
 kfreebsd-image-8.0-1-686-smp - kernel of FreeBSD 8.0 image
 kfreebsd-image-8.0-1-amd64 - kernel of FreeBSD 8.0 image
 kfreebsd-source-8.0 - source code for kernel of FreeBSD 8.0 with Debian patches
Closes: 587630
Changes: 
 kfreebsd-8 (8.0-11) unstable; urgency=medium
 .
   * Also disable -fstack-protector for modules, now that
     freebsd-buildutils enable it by default. Closes: #587630.
Checksums-Sha1: 
 7bd4a9e5a95e915ff1e510f77495f95cae93be8d 1918 kfreebsd-8_8.0-11.dsc
 6438a2ca4a6eae671d13c63d9b19d2001a797d7b 70669 kfreebsd-8_8.0-11.diff.gz
 0f560607c3369499d099453eefecd4480f11ed16 22917702 kfreebsd-source-8.0_8.0-11_all.deb
 c513e0046270c63fe7e66b02bf6bd465aab98dc8 8354116 kfreebsd-headers-8.0-1_8.0-11_kfreebsd-amd64.deb
 742578d2fe572d32b55eb7bcb0085674e7660c0f 12990834 kfreebsd-image-8.0-1-amd64_8.0-11_kfreebsd-amd64.deb
 e057f7728aded52664973144293abbad505515c4 46288 kfreebsd-image-8-amd64_8.0-11_kfreebsd-amd64.deb
 cf44eb61b5780d960a81b1ab797e090ad506aaa2 297266 kfreebsd-headers-8.0-1-amd64_8.0-11_kfreebsd-amd64.deb
 e2a78b883e00b0a9658ddcea6447c05926881cac 46288 kfreebsd-headers-8-amd64_8.0-11_kfreebsd-amd64.deb
Checksums-Sha256: 
 a999608098f525da4271f76486f2c268f11ed0e478550a4f2378d812e48040c7 1918 kfreebsd-8_8.0-11.dsc
 fb854020a925818dbe1d879b2985ad52cd2d97568a946bec8471e2f2aae5cccd 70669 kfreebsd-8_8.0-11.diff.gz
 17186be55672339e0f6fb8485645bf0638f316280c46f473c22b2e9cbee856eb 22917702 kfreebsd-source-8.0_8.0-11_all.deb
 71d133e4d433ee0218919de1302d85b321ba0cde961bc95c142653bfc846c50a 8354116 kfreebsd-headers-8.0-1_8.0-11_kfreebsd-amd64.deb
 fb72db6cbf43897c4e3e95fe0027c7bc522777e1c476af222c0cd715d2c138f9 12990834 kfreebsd-image-8.0-1-amd64_8.0-11_kfreebsd-amd64.deb
 1418cecf74b46e120a5db5054388e8ae7681824a71e7f3de66a651bbc87482c8 46288 kfreebsd-image-8-amd64_8.0-11_kfreebsd-amd64.deb
 47924079e336fb01fb3b17c9a2d581e9f65a9d78c054e18ee04fb6cc07d991c8 297266 kfreebsd-headers-8.0-1-amd64_8.0-11_kfreebsd-amd64.deb
 305aa0233ffa92b1b3690d1cd8836ef21f6507a8969243028de29e3cc27130ad 46288 kfreebsd-headers-8-amd64_8.0-11_kfreebsd-amd64.deb
Files: 
 eb0ddba1cd712dfb39d8b456e99fc16a 1918 kernel optional kfreebsd-8_8.0-11.dsc
 860ca11f4f8c1dacb29c55d6ed73f169 70669 kernel optional kfreebsd-8_8.0-11.diff.gz
 a4b3ce3a9b1ee5ba160976c17af8e9d8 22917702 kernel optional kfreebsd-source-8.0_8.0-11_all.deb
 dfaf78291c06836250b81477753d819e 8354116 kernel optional kfreebsd-headers-8.0-1_8.0-11_kfreebsd-amd64.deb
 acf91ebf3bbb506d753ef1e45563ee9e 12990834 kernel optional kfreebsd-image-8.0-1-amd64_8.0-11_kfreebsd-amd64.deb
 da302c309fcf0bffc8a4d025740fae84 46288 kernel optional kfreebsd-image-8-amd64_8.0-11_kfreebsd-amd64.deb
 cf59f0da6c8ad02d8c844de745881718 297266 kernel optional kfreebsd-headers-8.0-1-amd64_8.0-11_kfreebsd-amd64.deb
 5550768044898959ffcecf3764183365 46288 kernel optional kfreebsd-headers-8-amd64_8.0-11_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iD8DBQFMRNWLw3ao2vG823MRAin8AJ9tETmiSNFLYRgTIckwvGtQErHJLACeOTbC
OwNiAW1vf8ZyX79gRioB9bc=
=aLZD
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#587630; Package kfreebsd-image-8.0-1-amd64. (Tue, 20 Jul 2010 21:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 20 Jul 2010 21:45:09 GMT) Full text and rfc822 format available.

Message #30 received at 587630@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 587630@bugs.debian.org
Subject: Re: Bug#587630: kernel panic when using ZFS
Date: Tue, 20 Jul 2010 23:43:09 +0200
On Mon, Jul 19, 2010 at 6:33 PM, Aurelien Jarno <aurelien@aurel32.net> wrote:
> This has been caused by the switch from freebsd-buildutils 7.2 to 8.0
> and is also likely the cause of bug#587629.
>
> I will try to narrow down the problem even more.

Just tried your fixed package and it is working fine, thank you!




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Aug 2010 07:34:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:54:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.